function plotDg(M,xvec,yvec,fontsize)

if nargin < 4
    fontsize = 14;
end

% pcolor(M.x,M.y,M.Dg)
pcolor(xvec,yvec,M.Dg)
shading flat
axis equal
xlim([min(xvec) max(xvec)])
ylim([min(yvec) max(yvec)])
set(gca,'YDir','reverse','FontSize',fontsize)
title('Dg','FontSize',fontsize)
colorbar('SouthOutside')
set(gca,'TickDir','out')