function plot_evecs(u_sort,M,kstart,kend)
%
% makes mesh plots of the kstart through kend eigenvectors

[ny,nx] = size(M.x);

for i=kstart:kend
    e = reshape(u_sort(:,i),ny,nx);
    figure,
    mesh(M.x,M.y,e)
%     axis equal
    set(gca,'YDir','reverse')
%     colorbar('SouthOutside')
%     shading flat
    title(strcat('i=',num2str(i)))
end
