clear all
close all

% testing agglom...
nx = 50;
ny = 10;
nd = 10;

% make veccdf...
Y = rand(nx*ny,nd);
Ysum = repmat(sum(Y,2),1,nd);
Y = cumsum(Y,2)./Ysum .*100;

% create adjacency
A = createAdjacency(nx,ny,8);

[L,Y2,rank] = createLinkage2(Y,A,1);

L2 = L;
L2(:,3) = rank(nx*ny+1:length(rank));
% L2(:,3) = 1:length(L);

%dendrogram
figure,
set(0,'RecursionLimit',1000);
H = dendrogram(L2,0);

xvec = 1:nx;
yvec = 1:ny;

%%
k=40;
figure,
T = mapAgglomClusters(xvec,yvec,L2,k);

% figure,
% imagesc(xvec,yvec,reshape(T,ny,nx))
% axis equal
