function plotD50(M,xvec,yvec,fontsize)

if nargin < 4
    fontsize = 14;
end

% pcolor(M.x,M.y,M.D50)
imagesc(xvec,yvec,M.D50)
shading flat
axis equal
xlim([min(xvec) max(xvec)])
ylim([min(yvec) max(yvec)])
set(gca,'YDir','reverse','FontSize',fontsize)
title('D50','FontSize',fontsize)
colorbar('SouthOutside')
% set(gca,'TickDir','out')