close all

svec = [0.01 0.1 1 10];
for i=1:length(svec)

r = 5;
dx = 0.2;
sig1 = 0.1;
sig2 = svec(i);
% sig2 = 4;
a1 = [0:0.01:1]';
a2 = [0:0.01:r*dx]';
[A1,A2] = meshgrid(a1,a2);
W = exp(-A1.^2./sig1) .* exp(-A2.^2./sig2);

% figure,
mesh(A1,A2,W)
xlabel('a1')
ylabel('a2')
zlabel('W')
hold on
% title('$W = \exp \left( \frac{-a1^2}{sig1}\right) * \exp \left( \frac{-a2^2}{sig2}\right)$','interpreter','latex')
% titlestr = ['sig1 = ' num2str(sig1) ', sig2 = ' num2str(sig2)];
% title(titlestr);

end